# Uses of Interface
org.eclipse.osgi.service.resolver.NativeCodeDescription

Packages that use NativeCodeDescription
Package
Description
org.eclipse.osgi.service.resolver
Provides the Equinox resolver API.

## Uses of NativeCodeDescription in org.eclipse.osgi.service.resolver

Methods in org.eclipse.osgi.service.resolver that return NativeCodeDescription
Modifier and Type
Method
Description
`NativeCodeDescription`
StateObjectFactory.`createNativeCodeDescription(String[] nativePaths, String[] processors, String[] osNames, VersionRange[] osVersions, String[] languages, String filter)`
Creates a native code description from the given parameters
`NativeCodeDescription`
StateObjectFactory.StateObjectFactoryProxy.`createNativeCodeDescription(String[] nativePaths, String[] processors, String[] osNames, VersionRange[] osVersions, String[] languages, String filter)`
`NativeCodeDescription[]`
NativeCodeSpecification.`getPossibleSuppliers()`
Returns the list of possible suppliers to this native code specification.
Methods in org.eclipse.osgi.service.resolver with parameters of type NativeCodeDescription
Modifier and Type
Method
Description
`int`
NativeCodeDescription.`compareTo(NativeCodeDescription other)`
Native code descriptions are sorted with the following preferences: The minimum version of the os version ranges The language
`NativeCodeSpecification`
StateObjectFactory.`createNativeCodeSpecification(NativeCodeDescription[] nativeCodeDescriptions, boolean optional)`
Creates a native code specification from the given parameters
`NativeCodeSpecification`
StateObjectFactory.StateObjectFactoryProxy.`createNativeCodeSpecification(NativeCodeDescription[] nativeCodeDescriptions, boolean optional)`
`void`
State.`setNativePathsInvalid(NativeCodeDescription nativeCodeDescription, boolean hasInvalidNativePaths)`
Sets the native code paths of a native code description as invalid.